Bug 56026 - [update ports]: Use USE_MYSQL and USE_OPENLDAP in my ports
[update ports]: Use USE_MYSQL and USE_OPENLDAP in my ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-27 11:00 UTC by sheepkiller
Modified: 2003-08-28 13:14 UTC (History)
1 user (show)

See Also:


Attachments
mod_accounting.diff (1.67 KB, patch)
2003-08-27 11:00 UTC, sheepkiller
no flags Details | Diff
prelude-manager.diff (1.76 KB, patch)
2003-08-27 11:00 UTC, sheepkiller
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sheepkiller 2003-08-27 11:00:37 UTC
	Use new USE_MYSQL and USE_OPENLDAP in my ports.
	www/mod_accounting [1]
	mail/perdition [2]
	security/prelude-manager [3]

Fix: [1]
[2]
Index: Makefile
===================================================================
RCS file: /WORK/ports/REPO/ports/mail/perdition/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- Makefile	26 Aug 2003 20:25:48 -0000	1.17
+++ Makefile	27 Aug 2003 08:31:25 -0000
@@ -42,35 +42,10 @@
 # WITH_NIS: Enable NIS database backend
 # WITH_GDBM: Enable gdbm database backend
 # WITH_MYSQL: Enable MySQL database backend
-# WITH_MYSQL_VER:
-#		- 323 use MySQL 3.23.x
-#		- 40 use MySQL 4.0.x
-#		- 41 use MySQL 4.1.x
 # WITH_PGSQL: Enable PostgreSQL database backend
 # WITH_OPENLDAP: Enable OpenLDAP database backend
 # WITH_ODBC: Enable ODBC database backend
 
-LDAP_VER?=	21
-
-# MySQL deps hack (revision 2)
-MYSQL323_LIBVER=10
-MYSQL40_LIBVER=	12
-MYSQL41_LIBVER=	14
-
-.include <bsd.port.pre.mk>
-
-.if defined(WITH_MYSQL_VER)
-MYSQL_VER=	${WITH_MYSQL_VER}
-.elif exists(${LOCALBASE}/lib/mysql/libmysqlclient.so.${MYSQL_323_LIBVER})
-MYSQL_VER=	323
-.elif exists(${LOCALBASE}/lib/mysql/libmysqlclient.so.${MYSQL40_LIBVER})
-MYSQL_VER=	40
-.elif exists(${LOCALBASE}/lib/mysql/libmysqlclient.so.${MYSQL41_LIBVER})
-MYSQL_VER=	41
-.else
-MYSQL_VER=	40
-.endif
-
 .if !defined(WITHOUT_SSL)
 CONFIGURE_ARGS+=	--enable-ssl
 USE_OPENSSL=		yes
@@ -115,8 +90,8 @@
 .endif
 
 .if defined(WITH_MYSQL)
+USE_MYSQL=		YES
 CONFIGURE_ARGS+=	--enable-mysql
-LIB_DEPENDS+=		mysqlclient.${MYSQL${MYSQL_VER}_LIBVER}:${PORTSDIR}/databases/mysql${MYSQL_VER}-client
 PLIST_SUB+=		MYSQL=""
 MAN8+=			perditiondb_mysql_makedb.8
 .else
@@ -135,8 +110,8 @@
 .endif
 
 .if defined(WITH_OPENLDAP)
+USE_OPENLDAP=		YES
 CONFIGURE_ARGS+=	--enable-ldap --with-ldap-schema-directory=${LOCALBASE}/etc/openldap/schema/
-LIB_DEPENDS+=		ldap.2:${PORTSDIR}/net/openldap${LDAP_VER}-client
 PLIST_SUB+=		OPENLDAP=""
 MAN8+=			perditiondb_ldap_makedb.8
 .else
@@ -164,4 +139,4 @@
 	@${ECHO_MSG} "/********************************************************/"
 	@${ECHO_MSG} ""
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
--- perdition.diff ends here ---

[3]
How-To-Repeat: 	N/A.
Comment 1 Edwin Groothuis freebsd_committer 2003-08-28 13:14:26 UTC
State Changed
From-To: open->closed

Commited, thanks!